%define name 	editobj
%define	oname	EditObj
%define version 0.5.6
%define release 2mdk

Name: 	 	%{name}
Summary: 	Tkinter dialog box for editing any Python object
Version: 	%{version}
Release: 	%{release}

Source:		%{oname}-%{version}.tar.bz2
URL:		http://home.gna.org/oomadness/en/editobj/
License:	GPL
Group:		Development/Python
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python-devel
Requires:	tkinter
BuildArch:	noarch

%description
EditObj can create and display a Tkinter dialog box for editing any Python
object (similarly to what Java call a Bean editor, but for Python object).
EditObj is a useful tool for writing (text or non-text) editors of all
kinds, including GUI editor, 3D editor,... It also includes a Python console.

EditObj supports also lists, dictionaries and hierarchies (nested lists)
edition.  EditObj includes also a tree widget for Tkinter, an event framework
and a mutiple undo/redo system.

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc demo
%{_libdir}/python2*/site-packages/%{name}

%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.6-2mdk
- Rebuild for new python

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.6-1mdk
- 0.5.6
- update url

* Fri Oct 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.3-1mdk
- 0.5.3
- update url

* Fri Aug 8 2003 Austin Acton <aacton@yorku.ca> 0.5.2-2mdk
- python 2.3

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5.2-1mdk
- 0.5.2

* Sun Apr 27 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5
- use a few macros etc. to make it more (cosmetic) consistent with other
  packages from Jiba

* Tue Apr 08 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.2-2mdk
- removed redundant requires
- use a couple of macros
- build in build stage
- BuildArch is noarch
- fixed typo in description

* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- initial package
